Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeSetLayers

Set the number of extruded layers.

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeSetLayers(DMPlexTransform tr, PetscInt layers)

Not Collective

## Input Parameters

- tr - The `DMPlexTransform`

- layers - The number of layers

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeGetLayers()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages